import os
from pygame.locals import * 

windowSize = (1024,768) #default window size
halfwindowsize = (windowSize[0]/2,windowSize[1]/2)
backgroundColor = (255,255,255)
stringColor = (128,64,0)
stringWidth = 1
GSMenu = 0
GSMain = 1
GSEnd = 2
GSNewGame = 3
GSQuit = 100
gravity = 500	#pixels/s**2
numiterations = 20	#this is the number of iterations of constraint satisfaction (relaxation verlet)
timeStep = 0.05
frictionConstant = 0.001
penaltyconstant = 0.1
thrusterstrength = 1000
posthrusterstrength = 100
ropepartmass = 3
worldsize = 1000
shiprecharge = 4
rechargecost = 4
shiprefuel = 4
refuelcost = 4
fueluseconstant = 1

minimumpackagemass = 10
maximumpackagemass = 200

minimumpackagestrength = 10
maximumpackagestrength = 100


data_py = os.path.abspath(os.path.dirname(__file__))
data_dir = os.path.normpath(os.path.join(data_py, '..', 'data'))
font_dir = os.path.normpath(os.path.join(data_dir, 'fonts'))
